Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# textiter.hh File Reference

A GtkTextIter C++ wrapper interface. More...

`#include <xfc/stackobject.hh>`
`#include <xfc/glib/boxed.hh>`
`#include <xfc/glib/property.hh>`
`#include <gtk/gtktextiter.h>`
`#include <vector>`
`#include <xfc/gtk/inline/textiter.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TextIter
    A GtkTextIter C++ wrapper class. More...

## Typedefs

- typedef unsigned int TextSearchFlagsField
    TextSearchFlagsField holds one or more values from the Gtk::TextSearchFlags enumeration.

## Enumerations

- enum TextSearchFlags {
  TEXT_SEARCH_VISIBLE_ONLY = GTK_TEXT_SEARCH_VISIBLE_ONLY,
  TEXT_SEARCH_TEXT_ONLY = GTK_TEXT_SEARCH_TEXT_ONLY
  }
    TextSearchFlags is used to specify how a text iterator should search through a text buffer for a text string. More...

## Detailed Description

A GtkTextIter C++ wrapper interface.

Provides TextIter, an object that represents a position between two characters in a text buffer.

## Enumeration Type Documentation

enum TextSearchFlags

TextSearchFlags is used to specify how a text iterator should search through a text buffer for a text string.

Enumeration values:

  TEXT_SEARCH_VISIBLE_ONLY | The matching text may have invisible text interspersed in it, that is, the text may possibly be a noncontiguous subsequence of the matched range.
  TEXT_SEARCH_TEXT_ONLY | The matching text may have pixbufs or child widgets mixed inside the matched range.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3